//trigBoard Sample Code using Pushbullet
// 12/18/17  Kevin Darrah
// RELEASED

// Includes - may not all be needed
#include <FS.h>                   //this needs to be first, or it all crashes and burns...
#include <ESP8266WiFi.h>          //https://github.com/esp8266/Arduino
#include <DNSServer.h>
#include <ESP8266WebServer.h>
#include <WiFiManager.h>          //https://github.com/tzapu/WiFiManager
#include <ESP8266HTTPClient.h>
#include <WiFiClientSecure.h>
#include <ArduinoJson.h>          //https://github.com/bblanchon/ArduinoJson
#include <ESP8266mDNS.h>
#include <WiFiUdp.h>
#include <ArduinoOTA.h>

// PINS!!!
#define LEDpin 0
#define DONEpin 15  //14 on V2, 15 on V3
#define EXTWAKEpin 16 //12 on V2, 16 on V3

//FUNCTIONS
void PushStatus(const char *MessageBody, const char *MessageTitle, const char *MessageType, ...);// to push messages
void PushSlack(const char *MessageBody, const char *MessageTitle, const char *MessageType, ...);//for slack messages

void saveConfigCallback ();
void readFile();
boolean WiFiConnection();
void checkTrigger();
void startOTA();
void longPress();

//globals for credentials
char tokenKey[100];
char trigBoardName[40];
char triggerMessage[100];
boolean resetFlag = false;

//flag for saving data
bool shouldSaveConfig = false;

char batteryBuf[5] = "";// used to convert float to a char array
boolean externalWake = false;// to figure out who woke up the board
float batteryVoltage = 0;
float batteryThreshold = 3.4;

void setup() {
  Serial.begin(115200);//debug
  checkTrigger();

  if (externalWake || batteryVoltage < batteryThreshold) {// only if external trigger was fired or the battery is low, send a push
    readFile();
    WiFiConnection();
  }

  // Go back to sleep
  for (int i = 0; i < 10; i++) {
    digitalWrite(DONEpin, HIGH);
    delay(100);
    digitalWrite(DONEpin, LOW);
    delay(100);
  }

  // or if you hold the wake button, you'll end up here
  longPress();

}

void loop() {
  digitalWrite(DONEpin, HIGH);
  delay(5000);
  digitalWrite(DONEpin, LOW);
  delay(5000);
}






